libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.262. __nv_roundf

Prototype:

    float @__nv_roundf(float %x)

Description:

Round `x` to the nearest integer value in floating-point format, with halfway cases rounded away from zero.

Returns:

Returns rounded integer value.

Note:

This function may be slower than alternate rounding methods. See rint().

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes